import global stdlib, stdio, stdint, string, math, assert, float, stdbool, time
import global sys/time, complex

macro REALLOCATE realloc
macro ALLOCATE malloc
macro ALLOCATE0(x) calloc(1, x)
macro FREE free
macro CLEAR(x, n) memset(x, 0, n)
macro V float
macro B unsigned char
macro BIG_V FLT_MAX
macro pi 3.1415926535897931
macro print printf
macro MAX_PATH 1024